import { userDefaultSchema } from "#src/schema/user.schema";
import { userDefaultService } from "#src/services/user.service";

export default async function userRoute(fastify, options) {
    fastify.get('/', userDefaultSchema, userDefaultService);
/**
 * 
 * 个人接口
 * 
*/
    // 注册
    fastify.post('/register', userDefaultSchema, userDefaultService);
    // 登录
    fastify.post('/login', userDefaultSchema, userDefaultService);
    // 退出登录
    fastify.post('/logout', userDefaultSchema, userDefaultService);
    // 修改密码
    fastify.post('/changePassword', userDefaultSchema, userDefaultService);
    // 获取当前用户信息
    fastify.get('/getUserInfo', userDefaultSchema, userDefaultService);
    // 修改当前用户信息
    fastify.post('/updateUserInfo', userDefaultSchema, userDefaultService);
/**
 * 
 * 管理接口
 * 
*/

    // 获取用户列表

    // 获取用户详细信息

    // 创建用户

    // 更新用户信息

    // 批量删除用户
    
    // 批量重置用户密码

    // 批量启用用户

    // 批量禁用用户

/**
 * 
 * 拓展字段
 * 
*/

    // 获取拓展字段列表


}